批量更新货件名称
POST
/amzStaServer/openapi/inbound-shipment/updateShipmentNameBatch支持批量更新 STA 货件名称。
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/amzStaServer/openapi/inbound-shipment/updateShipmentNameBatch | HTTPS | POST | 1 |
请求参数
inboundShipmentNameReqListarray<object>必填隐藏子属性
sidinteger必填shipmentConfirmationIdstring必填shipmentNamestring必填请求cURL示例
curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-shipment/updateShipmentNameBatch?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
"inboundShipmentNameReqList": [
{
"sid": 123456,
"shipmentConfirmationId": "FBA17XXXXXXX",
"shipmentName": "new shipment name"
},
{
"sid": 123456,
"shipmentConfirmationId": "FBA18XXXXXXX",
"shipmentName": "another shipment name"
}
]
}'
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
successNuminteger必填failNuminteger必填resultListarray<object>必填隐藏子属性
sidinteger必填shipmentConfirmationIdstring必填shipmentNamestring必填successboolean必填errorMsgstring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "a0d54debf93140f3b58d1ed81e8e3583",
"response_time": "2026-09-17 12:00:00",
"data": {
"successNum": 1,
"failNum": 1,
"resultList": [
{
"sid": 123456,
"shipmentConfirmationId": "FBA17XXXXXXX",
"shipmentName": "new shipment name",
"success": true,
"errorMsg": null
},
{
"sid": 123456,
"shipmentConfirmationId": "FBA18XXXXXXX",
"shipmentName": "another shipment name",
"success": false,
"errorMsg": "未找到当前货件"
}
]
}
}